/**
 * Plugin
 * The super class obejct for every plugin.
 */ 

Plugin.prototype.constructor = Plugin;

function Plugin(){
	// Identifying name of the plugin.
	var pluginname = false;
}

/**
 * setPluginName
 * 
 * Sets the identifying name of the plugin in a member variable.
 *
 *@param name string Identifying name of the plugin
 */
Plugin.prototype.setPluginName = function(name){
	this.pluginname = name;
}

/**
 * getPluginName
 * 
 * Gets the identifying name of the plugin.
 *
 *@return string Identifying name of the plugin
 */
Plugin.prototype.getPluginName = function(){
	return this.pluginname;
}

/**
 * registerHook
 * 
 * This functions calls the PluginManager to register a hook for this plugin.
 * 
 * @param eventID string Identifier of the event where this hook must be triggered.
 */
Plugin.prototype.registerHook = function(eventID){
	if(this.getPluginName()){
		webclient.pluginManager.registerHook(eventID, this.getPluginName());
	}
}

// Placeholder functions
Plugin.prototype.execute = function(){}
Plugin.prototype.init = function(){}

